%global jsname jsroot


Name:		js-%{jsname}
Version:	7.2.0
Release:	%mkrel 2
Summary:	JavaScript ROOT - Interactive numerical data analysis graphics

#		Most files are MIT, d3.js is BSD
License:	MIT and BSD
URL:		https://jsroot.gsi.de/
Source0:	https://github.com/root-project/%{jsname}/archive/%{version}/%{jsname}-%{version}.tar.gz
#		Use locally installed mathjax instead of remote installation.
Group:          Development/Other

BuildArch:	noarch
BuildRequires:	web-assets-devel
BuildRequires:  uglify-js
Requires:	web-assets-filesystem
Requires:	mathjax

%description
JavaScript ROOT provides interactive ROOT-like graphics in web browsers.
Data can be read and displayed from binary and JSON ROOT files.


%package doc
Group: Documentation
Summary: Docs for jsroot

%description doc
Documentation for jsroot

%prep
%setup -q -n %{jsname}-%{version}

%build
for s in scripts/JSRoot*.js ; do
    uglifyjs ${s} -o ${s%.js}.min.js
done

%install
mkdir -p %{buildroot}%{_jsdir}/%{jsname}/scripts
install -m 644 -p scripts/*.js %{buildroot}%{_jsdir}/%{jsname}/scripts

ln -s %{_jsdir}/mathjax \
   %{buildroot}%{_jsdir}/%{jsname}/scripts

cp -r -p libs %{buildroot}%{_jsdir}/%{jsname}
cp -r -p files %{buildroot}%{_jsdir}/%{jsname}
cp -r -p img %{buildroot}%{_jsdir}/%{jsname}
cp -r -p modules %{buildroot}%{_jsdir}/%{jsname}

mkdir -p %{buildroot}%{_pkgdocdir}
ln -s %{_jsdir}/%{jsname}/scripts %{buildroot}%{_pkgdocdir}
ln -s %{_jsdir}/%{jsname}/style %{buildroot}%{_pkgdocdir}
ln -s %{_jsdir}/%{jsname}/files %{buildroot}%{_pkgdocdir}
ln -s %{_jsdir}/%{jsname}/img %{buildroot}%{_pkgdocdir}

%files
%{_jsdir}/%{jsname}
%license LICENSE

%files doc
%doc %{_pkgdocdir}
%doc changes.md demo docs/* index.htm readme.md



%changelog
* Sat Jun 28 2025 umeabot <umeabot> 7.2.0-2.mga10
+ Revision: 2215498
- Mageia 10 Mass Rebuild

* Tue Oct 04 2022 joequant <joequant> 7.2.0-1.mga9
+ Revision: 1894575
- add uglify
- update to 7.2.0

* Tue Oct 04 2022 joequant <joequant> 6.3.4-1.mga9
+ Revision: 1894561
- update to 6.3.4

* Sun Mar 27 2022 umeabot <umeabot> 6.2.0-2.mga9
+ Revision: 1828994
- Mageia 9 Mass Rebuild

* Sun Oct 03 2021 joequant <joequant> 6.2.0-1.mga9
+ Revision: 1748638
- update to 6.2.0

* Sun Jun 06 2021 joequant <joequant> 6.1.0-1.mga9
+ Revision: 1729854
- update to 6.1.0

* Thu Dec 17 2020 neoclust <neoclust> 5.8.1-3.mga9
+ Revision: 1660463
- Add support with new uglifyjs

* Thu Sep 17 2020 joequant <joequant> 5.8.1-2.mga8
+ Revision: 1627805
- rebuild with new yuicompressor

* Tue Jul 28 2020 joequant <joequant> 5.8.1-1.mga8
+ Revision: 1609423
- update to 5.8.1 / split out docs

* Thu Jul 23 2020 joequant <joequant> 5.8.0-2.mga8
+ Revision: 1608568
- change to uglifyjs

* Fri May 15 2020 joequant <joequant> 5.8.0-1.mga8
+ Revision: 1583914
- imported package js-jsroot

